
get
/v4/rewards/count
Returns the number of leaderboard rows (one per recipient and reason) in a given campaign. Use it to paginate /v4/rewards; use /v4/rewards/recipients/count for the number of distinct recipients.
Query parameters
pagestring (integer) | integerdefault: 00-indexed page number
itemsstring (integer) | integerdefault: 20Number of items returned by page
chainIdstring (integer) | integerrequired
Distribution chain ID (numeric, e.g. 1 for Ethereum). See ID types.
campaignIdstringrequired
On-chain campaign ID (32-byte hex hash, e.g. 0x93cf385c2a446a7596820601caf25e63bfc4939efa9a89a6f21563b58ee54eb1). NOT the internal Campaign.id (numeric hash). See ID types.
hidebooleanIf true, hides creator and admin from the results.
get
https://api.merkl.xyz/v4/rewards/count?page=&items=&chainId=&campaignId=curl -X GET "https://api.merkl.xyz/v4/rewards/count?page=0&items=20&chainId=1&campaignId=0xa61805d510cfeb7efc2bde8615eae414bb861b520b77c87ace9cfb7dd61789aa"